<?xml version="1.0"?>
<!-- 
    Note: As an alternative to hand editing this file you can use the 
    web admin tool to configure settings for your application. Use
    the Website->Asp.Net Configuration option in Visual Studio.
    A full list of settings and comments can be found in 
    machine.config.comments usually located in 
    \Windows\Microsoft.Net\Framework\v2.x\Config 
-->
<configuration>
  <configSections>
    <sectionGroup name="BXSection">
      <section name="logService" requirePermission="false" type="Bitrix.Services.BXLogServiceConfigSection" allowDefinition="MachineToApplication" allowLocation="false" />
    </sectionGroup>
  </configSections>
  <appSettings />
  <connectionStrings />
  <system.web>
    <httpRuntime maxRequestLength="10240"/>
    <siteMap defaultProvider="BXSiteMapManager" enabled="true">
      <providers>
        <clear />
        <add name="BXSiteMapManager" type="Bitrix.BXSiteMapManager,Main" />
      </providers>
    </siteMap>
    <pages enableEventValidation="true" enableSessionState="true" validateRequest="false">
      <controls>
        <add tagPrefix="asp" namespace="System.Web.UI" assembly="System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
        <add tagPrefix="asp" namespace="System.Web.UI.WebControls" assembly="System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
        <add tagPrefix="asp" namespace="System.Web.UI.HtmlControls" assembly="System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
        <add tagPrefix="bx" namespace="Bitrix.UI" assembly="Main" />
      </controls>
    </pages>
    <!-- 
            Set compilation debug="true" to insert debugging 
            symbols into the compiled page. Because this 
            affects performance, set this value to true only 
            during development.
        -->
    <compilation debug="true">
      <assemblies>
        <add assembly="System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Web.RegularExpressions, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Configuration, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Data, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Web.Services, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Xml, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
      </assemblies>
      <expressionBuilders>
        <add expressionPrefix="Loc" type="Bitrix.Services.BXLocExpressionBuilder" />
        <add expressionPrefix="LocRaw" type="Bitrix.Services.BXLocRawExpressionBuilder" />
        <add expressionPrefix="Request" type="Bitrix.Components.RequestExpressionBuilder" />
        <add expressionPrefix="Parameters" type="Bitrix.Components.BXParamExpressionBuilder" />
        <add expressionPrefix="Results" type="Bitrix.Components.BXResultExpressionBuilder" />
      </expressionBuilders>
    </compilation>
    <!--
            The <authentication> section enables configuration 
            of the security authentication mode used by 
            ASP.NET to identify an incoming user. 
        -->
    <authentication mode="Forms">
      <!--Windows / Forms-->
      <forms loginUrl="~/Auth.aspx" name=".ASPXFORMSAUTH" />
    </authentication>
    <trace enabled="false" pageOutput="true" />
    <membership defaultProvider="BXSqlMembershipProvider" userIsOnlineTimeWindow="15" >
      <providers>
        <clear />
        <add name="BXSqlMembershipProvider" type="Bitrix.Security.BXSqlMembershipProvider" connectionStringName="BXConnectionString" enablePasswordRetrieval="false" enablePasswordReset="true" requiresCheckWord="true" maxInvalidPasswordAttempts="2147483647" minRequiredNonalphanumericCharacters="1" minRequiredPasswordLength="7" requiresQuestionAndAnswer="false" />
      </providers>
    </membership>
    <roleManager enabled="true" defaultProvider="BXSqlMembershipProvider">
      <providers>
        <clear />
        <add name="BXSqlMembershipProvider" type="Bitrix.Security.BXSqlRoleProvider" />
      </providers>
    </roleManager>
    <!--
            The <customErrors> section enables configuration 
            of what to do if/when an unhandled error occurs 
            during the execution of a request. Specifically, 
            it enables developers to configure html error pages 
            to be displayed in place of a error stack trace.

        <customErrors mode="RemoteOnly" defaultRedirect="GenericErrorPage.htm">
            <error statusCode="403" redirect="NoAccess.htm" />
            <error statusCode="404" redirect="FileNotFound.htm" />
        </customErrors>
        -->
    <customErrors mode="Off" />
    <httpHandlers>
      <add verb="GET" path="CaptchaImage.aspx" type="Bitrix.UI.CaptchaImageHandler" />
    </httpHandlers>
    <httpModules>
      <clear />
    </httpModules>
  </system.web>
  <BXSection>
    <!--<roleManager defaultProvider="BXSqlRoleProvider">
      <providers>
        <clear />
        <add name="BXSqlRoleProvider" type="Bitrix.Security.BXSqlRoleProvider" connectionStringName="BXConnectionString" applicationName="Bitrix" />
      </providers>
    </roleManager>-->
    <logService defaultProvider="BXSqlLogProvider">
      <providers>
        <clear />
        <add name="BXSqlLogProvider" type="Bitrix.Services.BXSqlLogProvider" />
      </providers>
    </logService>
  </BXSection>
  <system.webServer>
	<security>
	  <requestFiltering allowDoubleEscaping="true" />
	</security>
    <validation validateIntegratedModeConfiguration="false" />
    <modules>
      <remove name="WindowsAuthentication" />
      <remove name="FormsAuthentication" />
      <remove name="Session" />
    </modules>
    <handlers>
      <add name="All To ASP.NET" path="*" verb="*" type="" modules="IsapiModule" scriptProcessor="%windir%\Microsoft.NET\Framework\v2.0.50727\aspnet_isapi.dll" resourceType="Unspecified" requireAccess="None" preCondition="classicMode" />
      <add name="CaptchaImage" verb="GET" path="CaptchaImage.aspx" type="Bitrix.UI.CaptchaImageHandler" />
    </handlers>
  </system.webServer>
</configuration>